Skip to main content
GET
Get a PIX transaction status

Authorizations

Authorization
string
header
required

JWT bearer token issued by the identity provider.

Path Parameters

transactionId
string
required

The transaction id (local UUID or JDPI request id).

Example:

"d1f9c0a2-..."

Response

OK

amount
integer<int64>
required

Transaction amount in centavos.

Example:

10050

id
string
required

The transaction id (or JDPI tx id on the live branch).

Example:

"d1f9c0a2-..."

status
string
required

eTransactionStatus name.

Example:

"EXECUTED"

description
string

Payment description.

Example:

"Invoice 42"

endToEndId
string

The SPI end-to-end id.

Example:

"E1234567890"

errorCode
string

JDPI error code (live branch).

Example:

""

errorMessage
string

JDPI error message (live branch).

Example:

""

flow
integer<int64>

Numeric eTransactionFlow.

Example:

2

jdpiRequestId
string

The JDPI request id.

Example:

"REQ-123"

jdpiStatus
integer<int64>

Raw JDPI eProcessingStatus (live branch only).

Example:

9

payee
object

The payee party.

payer
object

The payer party.